clear all
clc
n=14;
[Volt,Ybus,Current]=LF();
PMUPLACES=PMUOPT();
PMUPLACES(2)=[];
[HMAT,Hd,Icell,Cont]=Mat(PMUPLACES,Ybus);
[Z,Zd]=PMUsig(PMUPLACES,Volt,Current,Icell,Cont);
R=diag((1e-6)*ones(1,length(Zd)));
Vd_estimate=inv(Hd'*R*Hd)*Hd'*R*Zd;
Vestimate=Vd_estimate(1:n)+i*Vd_estimate(n+1:2*n);

figure(1)
plot(abs(Volt),'b')
hold on
plot(abs(Vestimate),'r*')
legend('Abs(Volt)','Estimated Volt')
error=norm(Volt-Vestimate,2)



